package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/11/10 9:02
 * @Version:V2.0
 */
@FeignClient(value = "DAL-DAZHOU-JOIN-API",url = "https://172.16.33.161:8066")
public interface JoinApiFeign {
    /**
     * 采购船运详单接口
     * @param statementId
     * @return
     */
    @PostMapping("api/v1/join/bmsshipdetailsorder/getPurchaseShipDetails")
    List<Map<String,Object>> getPurchaseShipDetails(@RequestParam("statementId") Integer statementId);

    /**
     * 采购水运费账单接口
     * @param statementId
     * @return
     */
    @PostMapping("api/v1/join/bmsshipstatement/getShipStatement")
    Map<String,Object> getShipStatement(@RequestParam("statementId") Integer statementId);

    /**
     * 港口装卸费结算接口
     * @param feeId
     * @return
     */
    @PostMapping("api/v1/join/bmsporthandlingfee/getPortFee")
    Map<String,Object> getPortFee(@RequestParam("feeId") Integer feeId);

    /**
     * 推送结算信息给金蝶的接口
     * @param map
     * @return
     */
    @PostMapping("api/v1/join/wsface/pushBmsSettlement")
    String WSFaceWay(@RequestBody Map<String, Object> map);

}
